Search by context
curl --request POST \
--url https://api.example.com/api/memories/context \
--header 'Content-Type: application/json' \
--data '
{
"context": {},
"limit": 123,
"min_similarity": 123,
"agent_id": 123,
"session_id": 123
}
'import requests
url = "https://api.example.com/api/memories/context"
payload = {
"context": {},
"limit": 123,
"min_similarity": 123,
"agent_id": 123,
"session_id": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({context: {}, limit: 123, min_similarity: 123, agent_id: 123, session_id: 123})
};
fetch('https://api.example.com/api/memories/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Memory
Search by context
Find memories relevant to the current task by matching goals and environment against past episodes.
POST
/
api
/
memories
/
context
Search by context
This is the most powerful memory retrieval method. It answers: “What did we do last time we were in this exact situation?”
Request body
integer
default:"10"
Maximum number of results.
number
default:"0.6"
Minimum similarity threshold (
0.0–1.0). Set to null to use the default.integer
Filter by agent. Set to
null to search across all agents.integer
Filter by session. Set to
null to search across all sessions.Example request
{
"context": {
"active_goals": [
{
"id": 101,
"description": "book_movie",
"priority": 0.9,
"progress": 0.5,
"deadline": null,
"subgoals": []
}
],
"environment": {
"variables": { "user_id": "user_99" },
"spatial": null,
"temporal": {
"time_of_day": null,
"deadlines": [],
"patterns": []
}
},
"resources": {
"computational": {
"cpu_percent": 50.0,
"memory_bytes": 1024000,
"storage_bytes": 1024000000,
"network_bandwidth": 1000
},
"external": {}
},
"fingerprint": 0,
"embeddings": null
},
"limit": 5,
"min_similarity": 0.8,
"agent_id": null,
"session_id": null
}
Response
Returns an array ofMemoryResponse objects (same schema as Get agent memories).
The system uses a context fingerprint (a hash of the context) to find near-identical situations instantly. Always query by context and goal — this ensures your agent doesn’t get confused by history from a different task.
